/* -*- Mode: C; tab-width:4 -*- */
/* ex: set ts=4 shiftwidth=4 softtabstop=4 cindent: */


#ifndef _MTS3XXSB_H_
#define _MTS3XXSB_H_

#ifndef PC_PLATFORM
#include <adc_proc_common.h>
#include <pin_map.h>
#endif

// sensorboard sensor types
enum {
	MTS3XX_PHOTO_SID=1,
	MTS3XX_TEMP_SID,
	MTS3XX_MIC_SID,
	MTS3XX_ACCEL_0_SID,
	MTS3XX_ACCEL_1_SID,
	MTS3XX_MAG_0_SID,
	MTS3XX_MAG_1_SID,
};

#define MTS3XX_PHOTO_TYPE   LIGHT_PHOTO_DIODE_SENSOR
#define MTS3XX_TEMP_TYPE    TEMP_THERMISTOR_SENSOR
#define MTS3XX_MIC_TYPE     SOUND_ELECTRET_SENSOR
#define MTS3XX_ACCEL_0_TYPE ACCELEROMETER_SENSOR
#define MTS3XX_ACCEL_1_TYPE ACCELEROMETER_SENSOR
#define MTS3XX_MAG_0_TYPE   MAGNETIC_INDUCTIVE_SENSOR
#define MTS3XX_MAG_1_TYPE   MAGNETIC_INDUCTIVE_SENSOR

// add port mapping for mts3XX
#define MTS3XX_PHOTO_HW_CH   ADC_PROC_CH1
#define MTS3XX_TEMP_HW_CH    ADC_PROC_CH1

#define MTS3XX_MIC_HW_CH     ADC_PROC_CH2

#define MTS3XX_ACCEL_0_HW_CH ADC_PROC_CH3
#define MTS3XX_ACCEL_1_HW_CH ADC_PROC_CH4

#define MTS3XX_MAG_0_HW_CH   ADC_PROC_CH5
#define MTS3XX_MAG_1_HW_CH   ADC_PROC_CH6


#ifndef PC_PLATFORM
ALIAS_IO_PIN(PHOTO_EN, PINE5);
ALIAS_IO_PIN(TEMP_EN, PINE6);
ALIAS_IO_PIN(TONE_DECODE_SIGNAL, PINE7);

ALIAS_IO_PIN(SOUNDER_EN, PW2);
ALIAS_IO_PIN(MIC_EN, PW3);
ALIAS_IO_PIN(ACCEL_EN, PW4);
ALIAS_IO_PIN(MAG_EN, PW5);
ALIAS_IO_PIN(MIC_MUX_SEL, PW6);
#endif

#endif // _MTS3XXSB_H_

